| Home | Libraries | People | FAQ | More

##### ssl::basic_context::use_certificate_file (1 of 2 overloads)

Use a certificate from a file.

    void use_certificate_file(
        const std::string & filename,
        file_format format);

This function is used to load a certificate into the context from a file.

###### Parameters

filename

  The name of the file containing the certificate.

format

  The file format (ASN.1 or PEM).

###### Exceptions

boost::system::system_error

  Thrown on failure.